RegCool Introduction

RegCool

Advanced registry editor: RegCool is an advanced registry editor. In addition to all the features that you can find in RegEdit and RegEdt32, RegCool adds many powerful features that allow you to work faster and more efficiently with registry related tasks. Key Features - Multiple undo and redo - Search and replace - Compare registries - Cut, copy and paste - Drag and drop - Registry Snapshot - Backup and restore - Defragment. RegCool is Shareware, written in Unicode and runs on all Windows versions from Windows 2000 onwards.and is available in the following languages: English, German, French, Italian, Vietnamese and Korea

  • Multiple undo and redo. - The undo history can be saved to disk and reloaded at startup

  • Search & replace - Search and replace registry keys, values and data with a super fast search algorithm.

  • Compare - Compare registry between computers with super fast speed.
  • RegShot-Function - Regshot allows you to quickly take a snapshot of your registry and then compare it with a second one - done after doing system changes or installing a new software product..

  • Cut, Copy & Paste - Cut, copy and paste registry keys and values.

  • Drag und Drop - With Drag and drop you can quickly move or copy registry keys and values.
  • Backup & Restore -Complete Backup and restore of the registry.

  • Defragment - Scan and optimize your registry by removing gaps and wasted space, thereby helping to improve system performance. If you choose to defrag your registry after the scan results, be prepared to reboot your machine.

  • Favorites management - Easy and flexible Favorites management.
  • Multiple local registry windows - Allow to open multiple local registry windows.

  • Secure registry keys - Allows you to open secure registry keys when running under the administrator privilege.

Caution

  • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on your computer.


Registry Information

Registry

The Windows Registry contains information, settings, options, and other values for all versions of Microsoft Windows Operating Systems and programs and hardware installed in Windows. For example, when a program is installed in Windows a new subkey containing settings such as where the program is located, the version, what settings are enabled and disabled, how to start the program, etc. are added into the Windows Registry.


Regstry Hives

Registry Root Keys (hive name)

Root Key | Shortname | Access | Description
HKEY_CLASSES_ROOT | HKCR |  | Describes file type, file extension, and OLE information.
HKEY_CURRENT_USER | HKCU | Admins: full access, User: full access | Contains user who is currently logged into Windows and their settings.
HKEY_LOCAL_MACHINE | HKLM | Admins: full access, User: Read only | Contains computer-specific information about the hardware installed, software settings, and other information. This information is used for all users who log on to this computer and is one of the more commonly accessed areas in the Registry.
HKEY_USERS | HKU | Admins: full access, User: restricted | Contains information about all the users who log on to the computer, including both generic and user-specific information.
HKEY_CURRENT_CONFIG | HKCC | Admins: full access, User: denied | The details about the current configuration of hardware attached to the computer.


Registry Value Types

REG_BINARY

Binary data in any form.

REG_DWORD

A 32-bit number.

REG_EXPAND_SZ

A null-terminated string that contains unexpanded references to environment variables (for example, "%PATH%").

REG_MULTI_SZ

A sequence of null-terminated strings, terminated by an empty string (\0).

REG_SZ

A null-terminated string


Add a registry key

To add a registry key

  1. Click the registry key under which you would like to add a new key..

  2. Click New Key on the Edit menu.

  3. Type a name for the new key and then press ENTER.


Add Value to Registry Key

Add a Value to a Registry Key

  1. Click the key or entry where you want to add the new value..

  2. On the Edit menu, point to New Value, and then click the type of value you want to add: String Value, Binary Value, DWORD (32-bit) Value, QWORD (64-bit) Value, Multi-String Value, or Expandable String Value.

  3. Type a name for the new value and then press ENTER.


Rename a registry key or value

To rename a registry key or value

  1. Click the key or entry you want to rename.

  2. Click Rename on the Edit menu.

  3. Type the new name, and then press ENTER.


Delete a registry key or value

To delete a registry key or value

  1. Click the key or entry you want to delete.

  2. On the Edit menu, click Delete.


Change a Value

  1. Click the entry you want to change.

  2. On the Edit menu, click Modify.

  3. In Value data, type the data for the value and then click OK.


Favorites

To add a registry key or value to Favorites

  1. Select the registry key or value you want to add to Favorites.

  2. On the Edit menu, click Add to Favorites.


Copy a Registry Key Name

  1. Click the key you want to copy and then click Copy Key Name on the Edit menu.

  2. Paste the registry key name into another application or document.


Find in Reg

Find a String, Value, or Key

  1. Click Find on the Edit menu.

  2. In Find what, type the string, value, or key you want to find.

  3. Select the Keys, Values, Data, or Match whole string only check boxes to match the type of search you want, and then click Find..

  4. Select the Search the entire registry or Search in key radio button as you wish.


Connecting registry

Connecting to a registry over a network

  1. To connect to a registry over a network

    1. In Registry Editor, on the File menu, click Connect Network Registry.

    2. In the Select Computer dialog box, click Object Types, select the specific object you are searching for (usually Computers), and then click OK.

    3. Click Locations, specify the location you want to search, and then click OK.

    4. Type the name of the computer to whose registry you want to connect in Enter the object name to select and then click Check Names.

    5. When the computer name resolves, click OK.


Disconnect network registry

  1. To disconnect from a network registry, just close the related registry window.


Compare registries

  1. On the Tools menu, click Compare Registries.

  2. In the Compare dialog box, select the registries and registry keys you want to compare.

  3. Click Compare.


Snapshot of registry

To create a snapshot of registry

  1. Click RegShot on the Tools menu.

  2. Select the opened registry

  3. Click Take Shot 1.

  4. After changes in registry click Take Shot 2.

  5. Click Compare Registries.


Backup local registry

  1. Click Backup & Restore in the Tools Menu

  2. Click Backup

  3. Select the registry hives you want to backup and click OK


Restore local registry

  1. Click Backup & Restore in the Tools Menu

  2. Select the backup you wish to restore.

  3. Click Restore